Package org.apache.velocity.exception

# Interface ExtendedParseException

All Known Implementing Classes:
  `MacroParseException`, `MethodInvocationException`, `TemplateInitException`, `TemplateParseException`

public interface ExtendedParseException
All Exceptions that can provide additional information about the place where the error happened (template name, column and line number) can implement this interface and the ParseErrorException will then be able to deal with this information.

Since:
  1.5
Version:
  $Id$
Author:
  Henning P. Schmiedehausen

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnNumber()`
returns the column number where this exception occurred.
`int`
`getLineNumber()`
returns the line number where this exception occurred.
`String`
`getTemplateName()`
returns the Template name where this exception occurred.

## Method Details

### getTemplateName

String getTemplateName()
returns the Template name where this exception occurred.

Returns:
  The Template name where this exception occurred.

### getLineNumber

int getLineNumber()
returns the line number where this exception occurred.

Returns:
  The line number where this exception occurred.

### getColumnNumber

int getColumnNumber()
returns the column number where this exception occurred.

Returns:
  The column number where this exception occurred.